#include <bits/stdc++.h>
using namespace std;
int n, q, med, r, k, j; int a[200096]; int b[200096];
void sorting(int a[200096], int n)
{
    sort(a + 1, a + n + 1);
    med = a[n / 2 + 1];
}
int main()
{
    cin >> n >> q;
    for(int i = 1; i <= n; i++)
        cin >> a[i];
    for(int i = 1; i <= q; i++)
        cin >> b[i];
    for(int i = 1; i <= q; i++)
    {
        sorting(a, n);
        j = 1;
        while(j > 0)
        {
            if(b[i] != med)
            {
                a[n + j] = b[i];
                sorting(a, n + j);
                k ++; j ++;
            }
            else
            {
                cout << k << endl;
                k = 0; j = -1;
            }
        }
    }
    
    return 0;
}